###############################################################################
# (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################

from Gaudi.Configuration import *
EventSelector().Input = [
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068113/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068118/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068127/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068138/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068143/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068182/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068188/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068194/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068197/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068203/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068209/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068215/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068219/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068226/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068233/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068238/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068244/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068249/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068252/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068257/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068261/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068267/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068273/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068278/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068283/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068288/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068292/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068297/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068302/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068307/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068312/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068317/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068322/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068328/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068333/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068338/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068344/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068349/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068355/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20094/20094806/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068365/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068370/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068374/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068378/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068382/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068385/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068388/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068391/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20094/20094809/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20094/20094812/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068406/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068411/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068417/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068426/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068431/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068446/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068451/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068473/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068479/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068484/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068494/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20094/20094816/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068520/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068525/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068549/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068567/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068573/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068605/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068615/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068624/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068629/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068639/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068657/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068662/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068672/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068679/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068683/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068687/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068692/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068697/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068708/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068713/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20094/20094818/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068723/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068729/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068734/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068745/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068750/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'",
    "DATAFILE='LFN:/lhcb/user/t/thampson/2011_05/20068/20068761/AlignEventsRich2.dst' TYP='POOL_ROOTTREE' OPT='READ'"
]
